package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableLongFunction.class */
public interface FailableLongFunction<R, E extends Throwable> {
    public static final FailableLongFunction NOP = t -> {
        return null;
    };

    R apply(long j) throws Throwable;

    static <R, E extends Throwable> FailableLongFunction<R, E> nop() {
        return NOP;
    }
}
